//upload image 
const multer = require('multer');
const path = require('path');
const fs = require('fs')
const { v4: uuid } = require("uuid");

// Set The Storage Engine
const storage = (mainFolder)=>multer.diskStorage({

  destination: (req, file, cb) => {

    let mainId = req.query.id  //* main folder item id
    let dir1='';
    if(mainFolder!=undefined){
     
      dir1= `./public/assets/images/${mainFolder}/${mainId}/`
      
      ; 
    }
    
    if (!fs.existsSync(dir1)) {
      fs.mkdirSync(dir1, { recursive: true });
    }
 
    cb(null, dir1);

  },
  //fileName
  filename: function (req, file, cb) {
  
    const extname = path.extname(file.originalname).toLowerCase();
    cb(null, `${uuid()}${extname}`)
  },
 
});


// Init Upload
exports.upload =(mainFolder)=>  multer({ 
    storage: storage(mainFolder),
    
    limits: { fileSize: 1024  * 1024 * 40 },
    fileFilter: function (req, file, cb) {
      checkFileType(file, cb);
    }
  }).array('files');



// Check File Type
function checkFileType(file, cb) {

  // Allowed extensions
  const filetypes = /jpeg|jpg|png|gif/;
  // Check extensions
  const extname = filetypes.test(path.extname(file.originalname).toLowerCase());
  // Check mime
  const mimetype = filetypes.test(file.mimetype);

  if (mimetype && extname) {
    return cb(null, true);
  } else {
    cb('Error: upload jpeg , jpg , png or gif Only!');
  }
}