const User = require('../models/User')
const jwt = require('jsonwebtoken');


// checks if user is authenticated or not 
exports.isAuth = async (req, res, next) => {
    try {
        if (req.session.isAuth && req.session.user) {
            delete req.session.error;
            if (!req.session.token) {
                return res.send({ success: false, message: 'Login first' })
            }
            jwt.verify(req.session.token, process.env.JWT_KEY, async (err, decoded) => {
                if (err) {
                    return res.send({
                        success: false,
                        message: 'Login first',
                        error: err.message
                    })
                }
                const checkUserId = await User.findOne({
                    where: { id: decoded.user.id },
                   
                })
                if (!checkUserId) {
                    return res.send({ success: false, message: 'Login first' })
                }
                req.user = decoded.user;
                await Session.destroy({
                    where: {
                        isAuth: null,
                        userAgent: null,
                    }
                })
                res.json(
                    {
                        success: true,
                        message: 'Auth successful',
                        token: req.session.token,
                        user: checkUserId,
                        sessionID: req.sessionID,
                        session: req.session
                    }
                )
            });


        } else {
            req.session.error = "Login first";
            res.json(
                {
                    success: false,
                    message: 'Login first',
                    error: req.session.error
                }
            )
        }
    } catch (error) {
        return res.send({ success: false, message: 'Login first' })
    }

};


exports.authUser = async (req, res, next) => {
    try {
        let token ='';
        if( req.header('Authorization') ){
            token = req.header('Authorization').split(' ')[1]
            if(!token){
               token = req.header('Authorization');
            }
       } else {
           return res.status(402).send({ success: false, message: 'Login first ' })
       }

       if (!token) {
        return res.send({ success: false, message: 'Login first ' })
    }
        jwt.verify(token, process.env.JWT_KEY, async (err, decoded) => {
            if (err) {
                return res.status(402).send({
                    success: false, message: err.message
                })
            } 
            const checkUserId = await User.findOne({
                where: { id: decoded.user.id }
            })
            if (!checkUserId) {
                return res.status(402).send({ success: false, message: 'Login first ' })
            }
            
            req.user = decoded.user;
            next()
        });

    } catch (err) {
        res.status(402).send(err.message)
    }

}



exports.authorizeRoles = (...roles) => {

    return (req, res, next) => {
        console.log(req.user.role);
        if (!roles.includes(req.user.role.split("::")[0])) {
            return res.status(403).json({
                success: false,
                message: `Role (${req.user.role}) is not allowed to access this resource`
            })
        }
        next()
    }
}



exports.isAuthSocket = async (socket, next) => {
    try {
        if (socket.handshake.session.isAuth && socket.handshake.session.user) {
            delete socket.handshake.session.error;
            if (!socket.handshake.session.token) {
                return console.log('Login first ')
            }
            jwt.verify(socket.handshake.session.token, process.env.JWT_KEY, (err, decoded) => {
                if (err) {
                    return console.log('Login first ')
                }
            })
            next()
        }
    } catch (error) {
        return console.log('Login first ')
    }

}






























