const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const Choice = require('./Choice');
const TheoryTrainAttempts = require('./TheoryTrainAttempts');


class Answer extends Model { }

Answer.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    
    status: DataTypes.BOOLEAN,


}, {
    hooks: {
        beforeUpdate: (Answer) => { return Answer },
    },


    sequelize,
    modelName: 'Answer',
    tableName: 'answers',
    timestamps: false,
});

TheoryTrainAttempts.hasMany(Answer)
Answer.belongsTo(TheoryTrainAttempts)

Choice.hasMany(Answer)
Answer.belongsTo(Choice)

sequelizePaginate.paginate(Answer)
module.exports = Answer;
