const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const User = require('./User');


class Blog extends Model { }

Blog.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    title: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    content: {
        type: DataTypes.TEXT,
    },

    image: {
        type: DataTypes.STRING,
    },

    status: DataTypes.BOOLEAN,
    notes: DataTypes.STRING,
    createdAt:DataTypes.DATEONLY


}, {
    hooks: {
        beforeUpdate: (Blog) => { return Blog },
    },


    sequelize,
    modelName: 'Blog',
    tableName: 'blogs',
    
});

User.hasMany(Blog)
Blog.belongsTo(User)

sequelizePaginate.paginate(Blog)
module.exports = Blog;
