const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const Question = require('./Question');



class Choice extends Model { }

Choice.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    choice: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    
   
    status: DataTypes.BOOLEAN,

}, {
    hooks: {
        beforeUpdate: (Choice) => { return Choice },
    },

    sequelize,
    modelName: 'Choice',
    tableName: 'choices',
    timestamps: false,
});

Question.hasMany(Choice,{onDelete:'cascade',hooks:true})
Choice.belongsTo(Question);

sequelizePaginate.paginate(Choice)
module.exports = Choice;


