const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');



class Faq extends Model { }

Faq.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    title: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    
    description:  DataTypes.STRING,
    status: DataTypes.BOOLEAN,

}, {
    hooks: {
        beforeUpdate: (Faq) => { return Faq },
    },

    sequelize,
    modelName: 'Faq',
    tableName: 'faqs',
    timestamps: false,
});

sequelizePaginate.paginate(Faq)
module.exports = Faq;
