const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');



class PracList extends Model { }

PracList.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    title: {
        type: DataTypes.STRING,
        allowNull: false,
    }, 
    
    playListUrl: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    
    description:  DataTypes.STRING,
    status: DataTypes.BOOLEAN,

}, {
    hooks: {
        beforeUpdate: (PracList) => { return PracList },
    },

    sequelize,
    modelName: 'PracList',
    tableName: 'pracLists',
    timestamps: false,
});

sequelizePaginate.paginate(PracList)
module.exports = PracList;
