const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const PracList = require('./PracTrainPlayList');



class PracVideo extends Model { }

PracVideo.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    title: {
        type: DataTypes.STRING,
        allowNull: false,
    }, 
    
    videoUrl: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    
    description:  DataTypes.STRING,
    status: DataTypes.BOOLEAN,

}, {
    hooks: {
        beforeUpdate: (PracVideo) => { return PracVideo },
    },

    sequelize,
    modelName: 'PracVideo',
    tableName: 'pracvideos',
    timestamps: false,
});

PracList.hasMany(PracVideo)
PracVideo.belongsTo(PracList)

sequelizePaginate.paginate(PracVideo)
module.exports = PracVideo;
