const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const PracList = require('./PracTrainPlayList');
const User = require('./User');
const PracVideo = require('./PracTrainVideo');



class PreviewVideo extends Model { }

PreviewVideo.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    status: DataTypes.BOOLEAN,

}, {
    hooks: {
        beforeUpdate: (PreviewVideo) => { return PreviewVideo },
    },

    sequelize,
    modelName: 'PreviewVideo',
    tableName: 'previewVideos',
    timestamps: false,
});


User.hasMany(PreviewVideo)
PreviewVideo.belongsTo(User)

PracVideo.hasMany(PreviewVideo)
PreviewVideo.belongsTo(PracVideo)

sequelizePaginate.paginate(PreviewVideo)
module.exports = PreviewVideo;
