const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const TheoryTrain = require('./TheoryTrain');


class Question extends Model { }

Question.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    question: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    score: {
        type: DataTypes.INTEGER,
        allowNull: false,
        defaultValue:false

    },

    img: {
        type: DataTypes.STRING,

    },

    status: {
        type: DataTypes.BOOLEAN,
    }



}, {
    hooks: {
        beforeUpdate: (Question) => { return Question },
    },


    sequelize,
    modelName: 'Question',
    tableName: 'questions',
    timestamps: false,
});

TheoryTrain.hasMany(Question)
Question.belongsTo(TheoryTrain)

sequelizePaginate.paginate(Question)
module.exports = Question;
