const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');


class School extends Model { }

School.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    name: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    address: {
        type: DataTypes.STRING,
    },

    phone: {
        type: DataTypes.STRING,

    },

    email: {
        type: DataTypes.STRING,
    },

    notes: {
        type: DataTypes.STRING,
    },

    status: {
        type: DataTypes.BOOLEAN,
    }



}, {
    hooks: {
        beforeUpdate: (School) => { return School },
    },


    sequelize,
    modelName: 'School',
    tableName: 'schools',
    timestamps: false,
});



sequelizePaginate.paginate(School)
module.exports = School;
