const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');



class Sub extends Model { }

Sub.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    type: {
        type: DataTypes.STRING,
        allowNull: false,
        unique: true,
    },
    features: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    
    description:  DataTypes.TEXT,
    price: DataTypes.FLOAT,
    attempts:DataTypes.INTEGER,
    status:DataTypes.BOOLEAN

}, {
    hooks: {
        beforeUpdate: (Sub) => { return Sub },
    },

    sequelize,
    modelName: 'Sub',
    tableName: 'subs',
    timestamps: false,
});

sequelizePaginate.paginate(Sub)
module.exports = Sub;
