const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');



class TheoryTrain extends Model { }

TheoryTrain.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    title: {
        type: DataTypes.STRING,
        allowNull: false,
    },

    period: {
        type: DataTypes.INTEGER,
        allowNull: false,
        defaultValue:true
    },

    
    description:  DataTypes.TEXT,
    status:DataTypes.BOOLEAN

}, {
    hooks: {
        beforeUpdate: (TheoryTrain) => { return TheoryTrain },
    },

    sequelize,
    modelName: 'TheoryTrain',
    tableName: 'theoryTrains',
    timestamps: false,
});

sequelizePaginate.paginate(TheoryTrain)
module.exports = TheoryTrain;
