const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const UserTheoryTrain = require('./UserTheoryTrain');



class TheoryTrainAttempts extends Model { }

TheoryTrainAttempts.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    endAt: {
        type: DataTypes.DATE,
        allowNull: true,
    },

    score: {
        type: DataTypes.FLOAT,
        allowNull: true,
    },

    
    status:DataTypes.BOOLEAN

}, {
    hooks: {
        beforeUpdate: (TheoryTrainAttempts) => { return TheoryTrainAttempts },
    },

    sequelize,
    modelName: 'TheoryTrainAttempts',
    tableName: 'theoryTrainsAttempts',
    timestamps: false,
});

UserTheoryTrain.hasMany(TheoryTrainAttempts)
TheoryTrainAttempts.belongsTo(UserTheoryTrain)

sequelizePaginate.paginate(TheoryTrainAttempts)
module.exports = TheoryTrainAttempts;
