const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');


class User extends Model { }

User.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    fullName: {
        type: DataTypes.STRING,
    },

    role: {
        type: DataTypes.STRING,
        allowNull: false,
        defaultValue: "user"
    },

    username: {
        type: DataTypes.STRING,
        allowNull: false,
        
    },

    password: {
        type: DataTypes.STRING,
        allowNull: false,


    },

    country: {
        type: DataTypes.STRING,
    },

    mobile: {
        type: DataTypes.STRING,
    },

    email: {
        type: DataTypes.STRING,
        unique:true
    },

    status: {
        type: DataTypes.BOOLEAN,
    },

    photo: {
        type: DataTypes.STRING,
    },

    clinet_token: DataTypes.STRING,
    hashRt: DataTypes.TEXT







}, {
    hooks: {
        beforeUpdate: (user) => { return user },
    },


    sequelize,
    modelName: 'User',
    tableName: 'users',
    timestamps: false,
});



sequelizePaginate.paginate(User)
module.exports = User;
