const { DataTypes, Model, DATE } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const User = require('./User');
const Sub = require('./Sub');



class UserSub extends Model { }

UserSub.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    subDate: {
        type: DataTypes.DATEONLY,
        allowNull: false,
    },

    subExpiryDate: {
        type: DataTypes.DATEONLY,
        allowNull: false,
    },


    status: DataTypes.BOOLEAN

}, {
    hooks: {
        beforeUpdate: (usersubs) => { return usersubs },
    },

    sequelize,
    modelName: 'UserSub',
    tableName: 'userSubs',
    timestamps: false,
});

User.hasMany(UserSub)
UserSub.belongsTo(User)

Sub.hasMany(UserSub)
UserSub.belongsTo(Sub)



sequelizePaginate.paginate(UserSub)
module.exports = UserSub;
