const { DataTypes, Model } = require('sequelize');
const sequelizePaginate = require('sequelize-paginate');
const sequelize = require('../../config/database');
const User = require('./User');
const TheoryTrain = require('./TheoryTrain');



class UserTheoryTrain extends Model { }

UserTheoryTrain.init({

    id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
    },

    consumedAttempts: {
        type: DataTypes.INTEGER,
        allowNull: true,
    },

    
    endAt:DataTypes.DATE,
    status:DataTypes.BOOLEAN

}, {
    hooks: {
        beforeUpdate: (UserTheoryTrain) => { return UserTheoryTrain },
    },

    sequelize,
    modelName: 'UserTheoryTrain',
    tableName: 'usertheorytrain',
    timestamps: false,
});

User.hasMany(UserTheoryTrain)
UserTheoryTrain.belongsTo(User)

TheoryTrain.hasMany(UserTheoryTrain)
UserTheoryTrain.belongsTo(TheoryTrain)

sequelizePaginate.paginate(UserTheoryTrain)
module.exports = UserTheoryTrain;
