const { Sequelize } = require("sequelize");
require('dotenv').config()

const sequelize = new Sequelize(
    process.env.DB_NAME,
    process.env.DB_USER,
    process.env.DB_PASSWORD, {
    host: process.env.DB_HOST,
    dialect: "mysql",
    timezone: '+03:00',  // Set timezone as UTC +3
    port: process.env.DB_PORT || 3306,
    pool: {
        max: 5,
        min: 0,
        acquire: 30000,
        idle: 10000
    }
}
);

sequelize.sync({ alter: false, force: false });

(async () => {
    try {

        await sequelize.authenticate();

        console.log("Connection has been established successfully.");
    } catch (error) {
        console.error("Unable to connect to the database:", error);
    }
})
module.exports = sequelize;
