const http = require('http');
const app = require('./app')
const sharedsession = require("express-socket.io-session");
const SequelizeStore = require("connect-session-sequelize")(require("express-session").Store);
const { isAuthSocket } = require('./api/middleware/auth');
const sequelize = require('./config/database');

function extendDefaultFields(defaults, session) {
    return {
      data: defaults.data,
      expires: defaults.expires,
      sid: session.sid,
      isAuth: session.isAuth,
      user: session.user,
      userAgent: session.userAgent,
      UserId: session.UserId
    };
  }

  
const PORT = process.env.PORT || 8000
const server = http.createServer(app);
var store = new SequelizeStore({
    db: sequelize,
    table: "Session",
    extendDefaultFields: extendDefaultFields,
  });
const session = require("express-session")({
    secret: process.env.S_KEY,
    store: store,
    saveUninitialized: true,
    resave: false, // we support the touch method so per the express-session docs this should be set to false
    proxy: true, // if you do SSL outside of node.
  }
  )


server.listen(PORT, () => console.log(`server is starting on port https://localhost:${PORT} ..`));
const io = require('socket.io')(server
    //   ,   {
    //   path: '/socket.io', // added this line of code
    // }
  );
  io.use(sharedsession(session));
  io.use(isAuthSocket)
const onConnection = (socket) => {
  let userRome = socket.handshake.session.user.username

  socket.join(userRome)

  sessionHandler(io, socket, userRome)


  socket.on("disconnect", () => {
    socket.leave(userRome);
  });

}


// const swaggerUrl = process.env.SWAGGER_URL
// import('open').then(open => {
//   open.default(swaggerUrl);
// }).catch(err => {
//   console.error('Error:', err);
// });


io.on("connection", onConnection);

